#ifndef __CONFIG_H__
#define __CONFIG_H__

/* Here is a script to verify if all the symbols defined in the original
   config.h.in that are being used in the code are available here.

   for s in $(cat /tmp/confsymb.txt); do
        if find ./src \( -iname '*.[ch]' -o -iname '*.mac' -o -iname '*.m4' \) \
                -exec grep $s {} \+ >/dev/null; then
            echo "YES - $s";
        else
            echo " NO - $s";
        fi
    done | sort  */

#define OS                      "Linux"
#define OSVER                   "6.6.7-arch1-1"
#define ARCH                    "x86_64"

// FIXME define this later
#undef DISTMEM_GASNET_CONDUITS

// Dot-related configuration
#define DOT_CMD                 ""
#define DOT_FLAG 0

#define ENABLE_CUDA 0

// FIXME distmem-related stuff
#undef ENABLE_DISTMEM
#undef ENABLE_DISTMEM_ARMCI
#undef ENABLE_DISTMEM_GASNET
#undef ENABLE_DISTMEM_GPI
#undef ENABLE_DISTMEM_MPI


#define ENABLE_MT 1
#define ENABLE_MT_LPEL 0
#define ENABLE_MUTC 0
#define ENABLE_OMP 0
#define ENABLE_HWLOC 0
#define ENABLE_HASH 0
#define ENABLE_RTSPEC 0
#define ENABLE_UUID 0
#define HAVE_GCC_SIMD_OPERATIONS 1
#define ENABLE_GETTIME 0

#define ENABLE_ISL 0
#define ENABLE_BARVINOK 0
#if ENABLE_GETTIME
#  define HAVE_GETTIME 1
#else
#  undef HAVE_GETTIME
#endif
#define HAVE_MALLOC_H 1
#if HAVE_MALLOC_H == 0
#  undef HAVE_MALLOC_H
#endif
#define HAVE_MKDTEMP 1
#define HAVE_OPENMP 0
#define HAVE_STRRCHR 1
#define HAVE_STRTOK 1

// FIXME the source could be updated to use CYGWIN instead of IS_CYGWIN
#define IS_CYGWIN 0


#define NEED_PTR_PREFIX 0



#define PF_MAXFUN               100
#define PF_MAXFUNAP             100
#define PF_MAXFUNNAMELEN        100
#define SAC_PRELUDE_NAME        "sacprelude_p"
#define SBRK_T                  intptr_t

// XXX we do not define SHARED_LIB_EXT here, as it is used only when building tools

/* #undef STDERR_IS_CONSTANT */

#endif /* __CONFIG_H__  */
